package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
/**
 *  class PemeriksaanTriage
 * 
 * @author Generator
 */

public class PemeriksaanTriageVO extends BaseMasterVO {
	@NotNull(message="KdTriage tidak boleh kosong")
	@Column(name = "KdTriage", nullable = false, length = 100)
	@Caption(value = "KdTriage")
	private String kdTriage;
	public void setKdTriage(String kdTriage)
	{
		this.kdTriage = kdTriage;
	}
	public String getKdTriage()
	{
		 return this.kdTriage;
	}


	@NotNull(message="NamaTriage tidak boleh kosong")
	@Column(name = "NamaTriage", nullable = false, length = 100)
	@Caption(value = "NamaTriage")
	private String namaTriage;
	public void setNamaTriage(String namaTriage)
	{
		this.namaTriage = namaTriage;
	}
	public String getNamaTriage()
	{
		 return this.namaTriage;
	}


	@NotNull(message="JenisPemeriksaan tidak boleh kosong")
	@Column(name = "JenisPemeriksaan", nullable = false, length = 100)
	@Caption(value = "JenisPemeriksaan")
	private String jenisPemeriksaan;
	public void setJenisPemeriksaan(String jenisPemeriksaan)
	{
		this.jenisPemeriksaan = jenisPemeriksaan;
	}
	public String getJenisPemeriksaan()
	{
		 return this.jenisPemeriksaan;
	}



}